#include "nsISupports.idl"
interface nsIArray;
interface mozIStorageStatement;

[scriptable, uuid(435ee6c4-809c-11de-8a39-0800200c9a66)]
interface modicIJapaneseDB : nsISupports {

  mozIStorageStatement createStatement(in AUTF8String aQueryString);

  void executeSimpleSQL(in AUTF8String aQueryString);

  PRUint32 executeNonQuery(in mozIStorageStatement aQueryStatement);

  nsIArray executeQuery(in mozIStorageStatement aQueryStatement);

  boolean existsColumnInTable(in AUTF8String aTable, in AUTF8String aColumn);

  void closeConnection();

  void truncateTable();

  readonly attribute AUTF8String databaseFilePath;

};
